(** Defines a completely abstract, very nearly useless interface for a Jabber packet processing state machine *)

open Jabber

(** state machine state *)
type state =
    Start
  | Intermediate
  | Accept
  | Reject

(** state machine type *)
class type state_machine =
object
  method get_state : (unit -> state)

  method add_packet : (packet -> unit)
end
